SELFTEST(1)

NAME
selftest - Samba test runner

SYNOPSIS
selftest --help

selftest [--srcdir=DIR] [--bindir=DIR] [--target=samba|samba3|win] [--socket-wrapper] [--quick] [--exclude=FILE] [--include=FILE] [--one] [--prefix=prefix] [--testlist=FILE] [TESTS]

DESCRIPTION
A simple test runner. TESTS is a regular expression with tests to run.

OPTIONS

--help
    Show list of available options.

--srcdir=DIR
    Source directory.

--bindir=DIR
    Built binaries directory.

--prefix=DIR
    Change directory to run tests in. Default is 'st'.

--target samba|samba3|win
    Specify test target against which to run. Default is 'samba4'.

--quick
    Run only a limited number of tests. Intended to run in about 30 seconds on moderately recent systems.

--socket-wrapper
    Use socket wrapper library for communication with server. Only works when the server is running locally.

    Will prevent TCP and UDP ports being opened on the local host but (transparently) redirects these calls to use unix domain sockets.

--exclude
    Specify a file containing a list of tests that should be skipped. Possible candidates are tests that segfault the server, flip or don't end.

--include
    Specify a file containing a list of tests that should be run. Same format as the --exclude flag.

    Not includes specified means all tests will be run.

--one
    Abort as soon as one test fails.

--testlist
    Load a list of tests from the specified location.

ENVIRONMENT

SMBD_VALGRIND
TORTURE_MAXTIME
VALGRIND
TLS_ENABLED
srcdir

LICENSE
selftest is licensed under the GNU General Public License <http://www.gnu.org/licenses/gpl.html>.

AUTHOR
Pidl was written by Jelmer Vernooij.